Bug 1390774 - pdns-backend-geo broken in 3.4.10-1 version
Summary: pdns-backend-geo broken in 3.4.10-1 version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pdns
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Morten Stevens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-01 22:36 UTC by Michael Kangin
Modified: 2017-02-01 18:19 UTC (History)
3 users (show)

Fixed In Version: pdns-3.4.11-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 18:19:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Kangin 2016-11-01 22:36:03 UTC
Description of problem:
pdns-backend-geo broken in 3.4.10-1 version. PDNS server started normally, but tell nothing about geo-zone.
Downgrade to the version 3.4.8-3 help to fix this problem.

Version-Release number of selected component (if applicable):
pdns-3.4.10-1.el7.x86_64
pdns-backend-geo-3.4.10-1.el7.x86_64
pdns-recursor-3.7.3-1.el7.x86_64
pdns-backend-mysql-3.4.10-1.el7.x86_64
pdns-tools-3.4.10-1.el7.x86_64

pdns-3.4.8-3.el7.x86_64
pdns-backend-mysql-3.4.8-3.el7.x86_64
pdns-recursor-3.7.3-1.el7.x86_64
pdns-backend-geo-3.4.8-3.el7.x86_64
pdns-tools-3.4.8-3.el7.x86_64




How reproducible:
Make query for the geo-zone in both pdns versions. Results are different.

Steps to Reproduce:
1. Start pdns 3.4.10-1
2. Make query for geo-zone, have a blank results.
3. Downgrade pdns to the version 3.4.8-3
4. Start pdns 3.4.8-3
5. Make query for geo-zone, have a proper results.

Actual results:
# host -t ns geo.xyz.tld
geo.xyz.tld has no NS record


Expected results:
# host -t ns geo.xyz.tld
geo.xyz.tld name server ns2.xyz.tld.
geo.xyz.tld name server ns1.xyz.tld.


Additional info:
geo parameters in config file:

geo-zone=geo.xyz.tld
geo-soa-values=ns1.xyz.tld,root@xyz.tld
geo-ns-records=ns1.xyz.tld,ns2.xyz.tld
geo-ttl=120
geo-ns-ttl=86400
geo-ip-map-zonefile=/etc/pdns/geo-data/zz.countries.nerd.dk.rbldnsd
geo-maps=/etc/pdns/geo-maps


Logs for pdns 3.4.10-1:
# pdns_server --daemon=no --loglevel=6
Nov 01 22:12:07 Reading random entropy from '/dev/urandom'
Nov 01 22:12:07 Loading '/usr/lib64/pdns/libgeobackend.so'
Nov 01 22:12:07 [geobackend] This is the geo backend version 3.4.10 (Sep  9 2016, 15:50:03) reporting
Nov 01 22:12:07 Loading '/usr/lib64/pdns/libgmysqlbackend.so'
Nov 01 22:12:07 [gmysqlbackend] This is the gmysql backend version 3.4.10 (Sep  9 2016, 15:49:34) reporting
Nov 01 22:12:07 This is a standalone pdns
Nov 01 22:12:07 Listening on controlsocket in '/var/run/pdns.controlsocket'
Nov 01 22:12:07 UDP server bound to 0.0.0.0:53
Nov 01 22:12:07 UDPv6 server bound to [::]:53
Nov 01 22:12:07 TCP server bound to 0.0.0.0:53
Nov 01 22:12:07 TCPv6 server bound to [::]:53
Nov 01 22:12:07 PowerDNS Authoritative Server 3.4.10 (jenkins@autotest.powerdns.com) (C) 2001-2016 PowerDNS.COM BV
Nov 01 22:12:07 Using 64-bits mode. Built on 20160909155148 by mockbuild@buildhw-04.phx2.fedoraproject.org, gcc 4.8.5 20150623 (Red Hat 4.8.5-4).
Nov 01 22:12:07 PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
Nov 01 22:12:07 Set effective group id to 996
Nov 01 22:12:07 Set effective user id to 997
Nov 01 22:12:07 DNS Proxy launched, local port 43834, remote 127.0.0.1:5300
Nov 01 22:12:07 Creating backend connection for TCP
Nov 01 22:12:07 [geobackend] Parsing IP map zonefile
Nov 01 22:12:08 [geobackend] Finished parsing IP map zonefile: added 147743 prefixes, stored in 362065 nodes using 8689560 bytes of memory
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone1.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone2.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone3.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone4.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone5.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone6.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone7.tld
Nov 01 22:12:08 [geobackend] Parsing director map /etc/pdns/geo-maps/zone8.tld
Nov 01 22:12:08 [geobackend] Finished parsing 8 director map files, 0 failures
Nov 01 22:12:08 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:12:08 About to create 3 backend threads for UDP
Nov 01 22:12:08 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:12:08 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:12:08 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:12:08 Done launching threads, ready to distribute questions


Logs for pdns 3.4.8-3:
# pdns_server --daemon=no --loglevel=6
Nov 01 22:16:20 Reading random entropy from '/dev/urandom'
Nov 01 22:16:20 Loading '/usr/lib64/pdns/libgeobackend.so'
Nov 01 22:16:20 [geobackend] This is the geo backend version 3.4.8 (Jul 22 2016, 16:40:58) reporting
Nov 01 22:16:20 Loading '/usr/lib64/pdns/libgmysqlbackend.so'
Nov 01 22:16:21 [gmysqlbackend] This is the gmysql backend version 3.4.8 (Jul 22 2016, 16:40:10) reporting
Nov 01 22:16:21 This is a standalone pdns
Nov 01 22:16:21 Listening on controlsocket in '/var/run/pdns.controlsocket'
Nov 01 22:16:21 UDP server bound to 0.0.0.0:53
Nov 01 22:16:21 UDPv6 server bound to [::]:53
Nov 01 22:16:21 TCP server bound to 0.0.0.0:53
Nov 01 22:16:21 TCPv6 server bound to [::]:53
Nov 01 22:16:21 PowerDNS Authoritative Server 3.4.8 (jenkins@autotest.powerdns.com) (C) 2001-2015 PowerDNS.COM BV
Nov 01 22:16:21 Using 64-bits mode. Built on 20160722164547 by mockbuild@buildvm-18.phx2.fedoraproject.org, gcc 4.8.5 20150623 (Red Hat 4.8.5-4).
Nov 01 22:16:21 PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
Nov 01 22:16:21 Set effective group id to 996
Nov 01 22:16:21 Set effective user id to 997
Nov 01 22:16:21 DNS Proxy launched, local port 36711, remote 127.0.0.1:5300
Nov 01 22:16:21 Creating backend connection for TCP
Nov 01 22:16:21 [geobackend] Parsing IP map zonefile
Nov 01 22:16:21 [geobackend] Finished parsing IP map zonefile: added 147743 prefixes, stored in 362065 nodes using 8689560 bytes of memory
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone1.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone2.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone3.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone4.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone5.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone6.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone7.tld
Nov 01 22:16:21 [geobackend] Parsing director map /etc/pdns/geo-maps/zone8.tld
Nov 01 22:16:21 [geobackend] Finished parsing 8 director map files, 0 failures
Nov 01 22:16:21 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:16:21 About to create 3 backend threads for UDP
Nov 01 22:16:21 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:16:21 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:16:21 gmysql Connection successful. Connected to database 'pdns' on '127.0.0.1'.
Nov 01 22:16:21 Done launching threads, ready to distribute questions

Comment 1 Fedora Update System 2017-01-16 22:38:22 UTC
pdns-3.4.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ad7467bd9c

Comment 2 Fedora Update System 2017-01-17 20:47:53 UTC
pdns-3.4.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ad7467bd9c

Comment 3 Fedora Update System 2017-02-01 18:19:27 UTC
pdns-3.4.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.